org.gnome.gtk

## Interface StatusIcon.SizeChanged

- Enclosing class:
    StatusIcon

      public static interface StatusIcon.SizeChanged

  Signal emitted when the size available for the StatusIcon's image changes. This happens if the panel the Notification Area applet is running in gets resized.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onSizeChanged(StatusIcon source, int size)` Signal emitted when the size available for the image changes.

- - ### Method Detail

    - #### onSizeChanged

          boolean onSizeChanged(StatusIcon source,
                              int size)

      Signal emitted when the size available for the image changes.
      Parameters:
        `source` - the object which received the signal.
        `size` - the new size, in pixels.